未加星标

完美解决axios在ie下的兼容性问题

字体大小 | |
[前端(javascript) 所属分类 前端(javascript) | 发布者 店小二04 | 时间 | 作者 红领巾 ] 0人收藏点击收藏

首先说下axios虽说是支持ie8+,不过其原理是基于promise之上实现的

所以会有不兼容ie的问题 也就是trident内核的全不行,

会报:vuex requires a Promise polyfill in this browser

解决方法:

1、安装 babel-polyfill

2、修改build配置环境为下图或者 直接import

完美解决axios在ie下的兼容性问题

完事、重启下项目就搞定了、

数据获取正常了~

以上这篇完美解决axios在ie下的兼容性问题就是小编分享给大家的全部内容了,希望能给大家一个参考,也希望大家多多支持脚本之家。


您可能感兴趣的文章:axios学习教程全攻略

本文前端(javascript)相关术语:javascript是什么意思 javascript下载 javascript权威指南 javascript基础教程 javascript 正则表达式 javascript设计模式 javascript高级程序设计 精通javascript javascript教程

主题: 数据
tags: axios,ie,兼容性,解决,完美,polyfill,Promise,requires,vuex,build,小编,import
分页:12
转载请注明
本文标题:完美解决axios在ie下的兼容性问题
本站链接:https://www.codesec.net/view/573057.html


1.凡CodeSecTeam转载的文章,均出自其它媒体或其他官网介绍,目的在于传递更多的信息,并不代表本站赞同其观点和其真实性负责;
2.转载的文章仅代表原创作者观点,与本站无关。其原创性以及文中陈述文字和内容未经本站证实,本站对该文以及其中全部或者部分内容、文字的真实性、完整性、及时性,不作出任何保证或承若;
3.如本站转载稿涉及版权等问题,请作者及时联系本站,我们会及时处理。
登录后可拥有收藏文章、关注作者等权限...
技术大类 技术大类 | 前端(javascript) | 评论(0) | 阅读(119)